Monday, December 18, 2006

Ubuntu Edgy and Beryl 1.3

Last Thursday, afternoon, I got a buzz in my IM from Anuradha. And he said “Anu shall we do a small thing? will take only 10 minits”. I was bit free in the office at that time and I've started off with him. he's telling me to edit the /etc/X11/xorg.conf and I'm following the exact steps he's typing in the IM. After a couple of minits (and ofcourse emailing the xorg.conf after edting by Anuradha) I've managed to Install (from Anuradha's repository) and run Beryl window manager with Emerald Themes on my Debain Gnu/Linux (etch) system. And I got pretty impressed with it.

Since I have an Ubuntu Edgy Eft installation on my notebook, I thought of Installing Beryl on Ubuntu too. Wow, very nice and smoothly I've install the Beryl Window Manager and Emerald Themes. I googled to find an ubuntu repository to get the Beryl binaries.

Steps I've followed are below in this post, and it's pretty easy to install Beryl on Ubuntu Edgy. Since Edgy comes with an AiGLX inbuilt xorg, you don't need to edit the /etc/X11/xorg.conf.

My graphic card is Intel Mobile Integrated graphic controller, and the driver is i810.

Take a terminal.

# sudo su -
# vim /etc/apt/sources.list

and put the following line in your list

deb http://ubuntu.beryl-project.org/ edgy main

and you have to get the GPG Key.

# wget http://ubuntu.beryl-project.org/root@lupine.me.uk.gpg -O- | sudo apt-key add -

# apt-get update

# apt-get install beryl

This will install the Beryl Window Manager, but you need the Emerald Theme Manager to make decorate it. ;-)

# apt-get install emerald-themes

This will install a set of thmes. BTW if you find any error on installing these with apt-get, then use

# aptitude install beryl emerald-themes

This will install all the recommended packages.

Then restart the xserver, just to refresh. ;-)

Then at the run command box, type,

beryl-manager

that's it!


Here I have 2 screen shots of the effets, you will enjoy the cool features on this once you have installed it!


















4 comments:

Chaar~Max said...

Looks great! I have been holding back on this for a long time since, my graphics cards were archaic for GLX, any idea whether beryl will support an Intel 830MG Chipset, on a IBM R31?

Genesis said...

i get this error while apt-get install beryl

root@v-desktop:~# apt-get install beryl
Reading package lists... Done
Building dependency tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
beryl: Depends: beryl-core but it is not going to be installed
Depends: libberylsettings0 but it is not going to be installed
Depends: libberyldecoration0 but it is not going to be installed
Depends: beryl-plugins but it is not going to be installed
Depends: beryl-settings but it is not going to be installed
Depends: emerald but it is not going to be installed or
aquamarine but it is not going to be installed or
heliodor but it is not going to be installed or
yawd but it is not installable or
compiz-gnome but it is not installable
Depends: beryl-manager but it is not going to be installed
E: Broken packages
root@v-desktop:~#

Anonymous said...

I've been looking all over for this!

Thanks.

Anonymous said...

great share, great article, very usefull for me...thank you